<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/white"
    android:paddingHorizontal="12dp"
    android:paddingTop="8dp"
    android:paddingBottom="10dp">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_input"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginEnd="10dp"
        android:background="@drawable/im_session_input_bg"
        android:minHeight="40dp"
        android:paddingHorizontal="10dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@id/btn_voice"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/btn_emoji"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:layout_marginBottom="8dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:srcCompat="@drawable/im_session_emoji_ic" />

        <androidx.appcompat.widget.AppCompatEditText
            android:id="@+id/et_input_message"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="6dp"
            android:layout_marginVertical="8dp"
            android:background="@null"
            android:gravity="start|center_vertical"
            android:hint="@string/im_session_input_message"
            android:includeFontPadding="false"
            android:textColor="@color/color_FF1D2129"
            android:textColorHint="@color/color_FFC9CDD4"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/btn_photo"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintStart_toEndOf="@id/btn_emoji"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="asdfoasdfoasdfoasdfoasdfoasdfoasdfoasdfoasdfoasdfoasdfoasdfoasdfoasdfoasdfoasdfoasdfoasdfoasdfoasdfoasdfoasdfoasdfoasdfoasdfoasdfoasdfoasdfo" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/btn_photo"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:layout_marginBottom="8dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:srcCompat="@drawable/im_session_photo_ic" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/btn_voice"
        android:layout_width="40dp"
        android:layout_height="40dp"
        app:layout_constraintBottom_toBottomOf="@id/cl_input"
        app:layout_constraintEnd_toEndOf="parent"
        app:srcCompat="@drawable/im_session_voice_ic" />

</androidx.constraintlayout.widget.ConstraintLayout>
